---
title: "Get all the tasks."
slug: "get-all-the-tasks"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all the tasks.

Get/v1/tasks

Get all the tasks in the system.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Query parameterstask_typestring

Task type.

Valid values[
  "NODE_ATTESTATION",
  "CERTIFICATE_ISSUANCE",
  "BUILD_WHITELIST",
  "DOMAIN_WHITELIST"
]
statusstring

Task status.

Valid values[
  "PENDING",
  "CLOSED"
]
requesterstring

UserName of requester.

approverstring

UserName of approver.

all_searchstring

Search on Requester or Request.

limitinteger

Maximum numbers of tasks to return.

offsetinteger

Number of tasks to skip from start.

sort_bystring

Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC

base_filtersstring

Filters to be applied on base query (count and results) key1:ASC,key2:DESC,key3:DESC

Responses200

Search result for Task objects.

<select class='api-response-data' aria-label='Media type'><option value='325057ec-bff8-450b-99d4-b7c82a27b421'>application/json</option>
</select>Expand Allobject  metadataobject (SearchMetadata)  pageinteger    

Current page number

pagesinteger    

Total pages as per the item counts and page limit.

limitinteger    

Number of items to limit in a page.

total_countinteger    

Total number of unfiltered items.

filtered_countinteger    

Total number of items as per the current filter.

items Array of object (Task)   object  task_idstring  (uuid)    

Task Id.

requester_infoobject (RequesterInfo)  user_idstring  (uuid)    

User Id.

user_namestring    

User Name.

app_idstring  (uuid)    

App Id.

app_namestring    

App Name.

requester_typestring    

Type of requester.

Valid values[
  "USER",
  "APP",
  "SYSTEM"
]

entity_idstring  (uuid)    

app_id, build_id, node_id, cert_id are entity_id for app_domain_whitelisting, build_whitelisting, node_attestation and certificate_issuance respectively.

task_typestring    

The types of tasks supported.

Valid values[
  "NODE_ATTESTATION",
  "CERTIFICATE_ISSUANCE",
  "BUILD_WHITELIST",
  "DOMAIN_WHITELIST"
]
statusobject (TaskStatus)  

Status info for a task.

created_atinteger  (int64)    

Task creation time

status_updated_atinteger  (int64)    

Time since the status change.

statusstring    

Status string for a task.

Valid values[
  "INPROGRESS",
  "FAILED",
  "SUCCESS",
  "DENIED"
]

descriptionstring    

Task details.

approvals Array of object (ApprovalInfo)   object  user_idstring  (uuid)    

User Id.

user_namestring    

User Name.

statusstring    

Approval status.

Valid values[
  "APPROVED",
  "DENIED"
]
denial_reasonstring    

Reason associated with the denial.

domains_added Array of string   string    
domains_removed Array of string   string    
group_idstring  (uuid)    

Group Id
